diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/int64x64-test-suite.cc ns-3.44/src/core/test/int64x64-test-suite.cc
--- ns-3.43/src/core/test/int64x64-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/int64x64-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -37,18 +37,18 @@
 {
 
 /**
- * \file
- * \ingroup int64x64-tests
+ * @file
+ * @ingroup int64x64-tests
  * int64x46 test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup int64x64-tests int64x64 tests
+ * @ingroup core-tests
+ * @defgroup int64x64-tests int64x64 tests
  */
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Pretty printer for test cases.
  */
@@ -58,8 +58,8 @@
     /**
      * Construct from high and low words of Q64.64 representation.
      *
-     * \param [in] high The integer portion.
-     * \param [in] low The fractional portion.
+     * @param [in] high The integer portion.
+     * @param [in] low The fractional portion.
      */
     Printer(const int64_t high, const uint64_t low)
         : m_haveInt(false),
@@ -72,7 +72,7 @@
     /**
      * Construct from an \c int64x64_t Q64.64 value.
      *
-     * \param [in] value The value.
+     * @param [in] value The value.
      */
     Printer(const int64x64_t value)
         : m_haveInt(true),
@@ -86,9 +86,9 @@
     /**
      * Output streamer, the main reason for this class.
      *
-     * \param [in] os The stream.
-     * \param [in] p The value to print.
-     * \returns The stream.
+     * @param [in] os The stream.
+     * @param [in] p The value to print.
+     * @returns The stream.
      */
     friend std::ostream& operator<<(std::ostream& os, const Printer& p);
 
@@ -112,7 +112,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: manipulate the high and low part of every number.
  */
@@ -123,8 +123,8 @@
     void DoRun() override;
     /**
      * Check the high and low parts for correctness.
-     * \param hi The high part of the int64x64_t.
-     * \param lo The low part of the int64x64_t.
+     * @param hi The high part of the int64x64_t.
+     * @param lo The low part of the int64x64_t.
      */
     void Check(const int64_t hi, const uint64_t lo);
 };
@@ -188,7 +188,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: check GetInt and Round.
  */
@@ -199,9 +199,9 @@
     void DoRun() override;
     /**
      * Check the int64x64 value for correctness.
-     * \param value The int64x64_t value.
-     * \param expectInt The expected integer value.
-     * \param expectRnd The expected rounding value.
+     * @param value The int64x64_t value.
+     * @param expectInt The expected integer value.
+     * @param expectRnd The expected rounding value.
      */
     void Check(const int64x64_t value, const int64_t expectInt, const int64_t expectRnd);
 };
@@ -253,7 +253,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: parse int64x64_t numbers as strings.
  */
@@ -264,10 +264,10 @@
     void DoRun() override;
     /**
      * Check the iont64x64 for correctness.
-     * \param str String representation of a number.
-     * \param hi The expected high part of the int64x64_t.
-     * \param lo The expected low part of the int64x64_t.
-     * \param tolerance The allowed tolerance.
+     * @param str String representation of a number.
+     * @param hi The expected high part of the int64x64_t.
+     * @param lo The expected low part of the int64x64_t.
+     * @param tolerance The allowed tolerance.
      */
     void Check(const std::string& str,
                const int64_t hi,
@@ -339,7 +339,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: roundtrip int64x64_t numbers as strings.
  *
@@ -352,8 +352,8 @@
     void DoRun() override;
     /**
      * Check the iont64x64 for correctness.
-     * \param str String representation of a number.
-     * \param tolerance The allowed tolerance.
+     * @param str String representation of a number.
+     * @param tolerance The allowed tolerance.
      */
     void Check(const std::string& str, const int64_t tolerance = 0);
 };
@@ -426,7 +426,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: basic arithmetic operations.
  */
@@ -437,10 +437,10 @@
     void DoRun() override;
     /**
      * Check the int64x64 for correctness.
-     * \param test The test number.
-     * \param value The actual value.
-     * \param expect The expected value.
-     * \param tolerance The allowed tolerance.
+     * @param test The test number.
+     * @param value The actual value.
+     * @param expect The expected value.
+     * @param tolerance The allowed tolerance.
      */
     void Check(const int test,
                const int64x64_t value,
@@ -596,7 +596,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test case for bug 455.
  *
@@ -609,9 +609,9 @@
     void DoRun() override;
     /**
      * Check the int64x64 for correctness.
-     * \param result The actual value.
-     * \param expect The expected value.
-     * \param msg The error message to print.
+     * @param result The actual value.
+     * @param expect The expected value.
+     * @param msg The error message to print.
      */
     void Check(const double result, const double expect, const std::string& msg);
 };
@@ -660,7 +660,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test case for bug 455.
  *
@@ -673,9 +673,9 @@
     void DoRun() override;
     /**
      * Check the int64x64 for correctness.
-     * \param result The actual value.
-     * \param expect The expected value.
-     * \param msg The error message to print.
+     * @param result The actual value.
+     * @param expect The expected value.
+     * @param msg The error message to print.
      */
     void Check(const double result, const double expect, const std::string& msg);
 };
@@ -726,7 +726,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test case for bug 455.
  *
@@ -739,9 +739,9 @@
     void DoRun() override;
     /**
      * Check the int64x64 for correctness.
-     * \param low The actual low value.
-     * \param value The expected low part printed value.
-     * \param tolerance The allowed tolerance.
+     * @param low The actual low value.
+     * @param value The expected low part printed value.
+     * @param tolerance The allowed tolerance.
      */
     void Check(const uint64_t low, const std::string& value, const int64_t tolerance = 0);
 };
@@ -870,7 +870,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: basic compare operations.
  */
@@ -882,9 +882,9 @@
 
     /**
      * Check the int64x64 for correctness.
-     * \param result The actual value.
-     * \param expect The expected value.
-     * \param msg The error message to print.
+     * @param result The actual value.
+     * @param expect The expected value.
+     * @param msg The error message to print.
      */
     void Check(const bool result, const bool expect, const std::string& msg);
 };
@@ -985,7 +985,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: Invert and MulByInvert.
  */
@@ -996,16 +996,16 @@
     void DoRun() override;
     /**
      * Check the int64x64 for correctness.
-     * \param factor The factor used to invert the number.
+     * @param factor The factor used to invert the number.
      */
     void Check(const int64_t factor);
     /**
      * Check the int64x64 for correctness.
-     * \param factor The factor used to invert the number.
-     * \param result The value.
-     * \param expect The expected value.
-     * \param msg The error message to print.
-     * \param tolerance The allowed tolerance.
+     * @param factor The factor used to invert the number.
+     * @param result The value.
+     * @param expect The expected value.
+     * @param msg The error message to print.
+     * @param tolerance The allowed tolerance.
      */
     void CheckCase(const uint64_t factor,
                    const int64x64_t result,
@@ -1107,7 +1107,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: construct from floating point.
  */
@@ -1119,15 +1119,15 @@
 
     /**
      * Check the int64x64 for correctness.
-     * \param intPart The expected integer part value of the int64x64.
+     * @param intPart The expected integer part value of the int64x64.
      */
     void Check(const int64_t intPart);
     /**
      * Check the int64x64 for correctness.
-     * \param dec The integer part of the value to test.
-     * \param frac The fractional part of the value to test.x
-     * \param intPart The expected integer part value of the int64x64.
-     * \param lo The expected low part value of the int64x64.
+     * @param dec The integer part of the value to test.
+     * @param frac The fractional part of the value to test.x
+     * @param intPart The expected integer part value of the int64x64.
+     * @param lo The expected low part value of the int64x64.
      */
     void Check(const long double dec,
                const long double frac,
@@ -1500,7 +1500,7 @@
 }
 
 /**
- * \ingroup int64x64-tests
+ * @ingroup int64x64-tests
  *
  * Test: print the implementation
  */
@@ -1551,8 +1551,8 @@
 }
 
 /**
- * \ingroup int64x64-tests
- * \internal
+ * @ingroup int64x64-tests
+ * @internal
  *
  * The int64x64 Test Suite.
  *
@@ -1564,12 +1564,12 @@
  * test comparisons.  If you need to increase the tolerance,
  * please append the system and compiler version.  For example:
  *
- * \code
+ * @code
  *   // Darwin 12.5.0 (Mac 10.8.5) g++ 4.2.1
  *   tolerance = 1;
  *   // System Foo gcc 3.9
  *   tolerance = 3;
- * \endcode
+ * @endcode
  */
 class Int64x64TestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/length-test-suite.cc ns-3.44/src/core/test/length-test-suite.cc
--- ns-3.43/src/core/test/length-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/length-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -29,14 +29,14 @@
 #include <string>
 
 /**
- * \file
- * \ingroup length-tests
+ * @file
+ * @ingroup length-tests
  * Length class tests.
  */
 
 /**
- * \ingroup core-tests length
- * \defgroup length-tests Length test suite
+ * @ingroup core-tests length
+ * @defgroup length-tests Length test suite
  */
 
 using namespace ns3;
@@ -69,8 +69,8 @@
     /**
      * Helper function to compare results with false
      *
-     * \param condition The boolean condition to test
-     * \param msg The message to print if the test fails
+     * @param condition The boolean condition to test
+     * @param msg The message to print if the test fails
      */
     void AssertFalse(bool condition, std::string msg)
     {
@@ -80,8 +80,8 @@
     /**
      * Helper function to compare results with true
      *
-     * \param condition The boolean condition to test
-     * \param msg The message to print if the test fails
+     * @param condition The boolean condition to test
+     * @param msg The message to print if the test fails
      */
     void AssertTrue(bool condition, std::string msg)
     {
@@ -125,10 +125,10 @@
 
     /**
      * Test that a length object can be constructed from a string
-     * \param unitValue  //!< Value to test.
-     * \param meterValue //!< Reference value [m].
-     * \param tolerance  //!< Tolerance.
-     * \param symbols    //!< Unit symbols.
+     * @param unitValue  //!< Value to test.
+     * @param meterValue //!< Reference value [m].
+     * @param tolerance  //!< Tolerance.
+     * @param symbols    //!< Unit symbols.
      */
     void TestConstructLengthFromString(double unitValue,
                                        double meterValue,
@@ -233,12 +233,12 @@
      * Generic function for testing serialization of a Length object in
      * various units
      *
-     * \tparam T Type of the length unit that should be output during serialization
+     * @tparam T Type of the length unit that should be output during serialization
      *
-     * \param l Length object to serialize
-     * \param unit Unit that the length value will be converted to before serialization
-     * \param expectedOutput Expected result of the serialization
-     * \param context Included in the error message if the test fails
+     * @param l Length object to serialize
+     * @param unit Unit that the length value will be converted to before serialization
+     * @param expectedOutput Expected result of the serialization
+     * @param context Included in the error message if the test fails
      */
     template <class T>
     void TestLengthSerialization(const Length& l,
@@ -1407,7 +1407,7 @@
 }
 
 /**
- * \ingroup length-tests
+ * @ingroup length-tests
  *
  * Test case for LengthValue attribute
  */
@@ -1435,8 +1435,8 @@
     {
       public:
         /**
-         * \brief Get the type ID.
-         * \return The object TypeId.
+         * @brief Get the type ID.
+         * @return The object TypeId.
          */
         static TypeId GetTypeId();
 
@@ -1579,7 +1579,7 @@
 }
 
 /**
- * \ingroup length-tests
+ * @ingroup length-tests
  * The Test Suite that runs the test case
  */
 class LengthTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc ns-3.44/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc
--- ns-3.43/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -14,10 +14,10 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup randomvariable
- * \ingroup rng-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup randomvariable
+ * @ingroup rng-tests
  * Test for many uniform random variable streams.
  */
 
@@ -28,7 +28,7 @@
 {
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for many uniform distribution random variable stream generators
  */
 class ManyUniformRandomVariablesOneGetValueCallTestCase : public TestCase
@@ -76,7 +76,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test suite for many uniform distribution random variable stream generators
  */
 class ManyUniformRandomVariablesOneGetValueCallTestSuite : public TestSuite
@@ -93,7 +93,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * ManuUniformRandomVariablesOneGetValueCallTestSuite instance variable.
  */
 static ManyUniformRandomVariablesOneGetValueCallTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/matrix-array-test-suite.cc ns-3.44/src/core/test/matrix-array-test-suite.cc
--- ns-3.43/src/core/test/matrix-array-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/matrix-array-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -10,15 +10,17 @@
 #include "ns3/matrix-array.h"
 #include "ns3/test.h"
 
+#include <algorithm>
+
 /**
- * \defgroup matrixArray-tests MatrixArray tests
- * \ingroup core-tests
- * \ingroup Matrices
+ * @defgroup matrixArray-tests MatrixArray tests
+ * @ingroup core-tests
+ * @ingroup Matrices
  */
 
 /**
- * \file
- * \ingroup matrixArray-tests
+ * @file
+ * @ingroup matrixArray-tests
  * MatrixArray test suite
  */
 namespace ns3
@@ -30,9 +32,9 @@
 NS_LOG_COMPONENT_DEFINE("MatrixArrayTest");
 
 /**
- * \brief Function casts an input valArray "in" (type IN) to an output valArray "out" (type T)
- * \param in Input valarray to be casted
- * \param out Output valarray to receive casted values
+ * @brief Function casts an input valArray "in" (type IN) to an output valArray "out" (type T)
+ * @param in Input valarray to be casted
+ * @param out Output valarray to receive casted values
  */
 template <typename IN, typename T>
 void
@@ -51,7 +53,7 @@
 }
 
 /**
- * \ingroup matrixArray-tests
+ * @ingroup matrixArray-tests
  *  MatrixArray test case for testing constructors, operators and other functions
  */
 template <class T>
@@ -62,32 +64,32 @@
     /**
      * Constructor
      *
-     * \param [in] name reference name
+     * @param [in] name reference name
      */
     MatrixArrayTestCase(const std::string& name);
 
     /** Destructor. */
     ~MatrixArrayTestCase() override;
     /**
-     * \brief Copy constructor.
+     * @brief Copy constructor.
      * Instruct the compiler to generate the implicitly declared copy constructor
      */
     MatrixArrayTestCase(const MatrixArrayTestCase<T>&) = default;
     /**
-     * \brief Copy assignment operator.
+     * @brief Copy assignment operator.
      * Instruct the compiler to generate the implicitly declared copy assignment operator.
-     * \return A reference to this MatrixArrayTestCase
+     * @return A reference to this MatrixArrayTestCase
      */
     MatrixArrayTestCase<T>& operator=(const MatrixArrayTestCase<T>&) = default;
     /**
-     * \brief Move constructor.
+     * @brief Move constructor.
      * Instruct the compiler to generate the implicitly declared move constructor
      */
     MatrixArrayTestCase(MatrixArrayTestCase<T>&&) = default;
     /**
-     * \brief Move assignment operator.
+     * @brief Move assignment operator.
      * Instruct the compiler to generate the implicitly declared copy constructor
-     * \return A reference to this MatrixArrayTestCase
+     * @return A reference to this MatrixArrayTestCase
      */
     MatrixArrayTestCase<T>& operator=(MatrixArrayTestCase<T>&&) = default;
 
@@ -604,7 +606,7 @@
 }
 
 /**
- * \ingroup matrixArray-tests
+ * @ingroup matrixArray-tests
  *  Test for testing functions that apply to MatrixArrays that use complex numbers,
  *  such as HermitianTranspose that is only defined for complex type
  */
@@ -616,7 +618,7 @@
     /**
      * Constructor
      *
-     * \param [in] name reference name
+     * @param [in] name reference name
      */
     ComplexMatrixArrayTestCase(const std::string& name);
     /** Destructor*/
@@ -681,7 +683,7 @@
 }
 
 /**
- * \ingroup matrixArray-tests
+ * @ingroup matrixArray-tests
  * MatrixArray test suite
  */
 class MatrixArrayTestSuite : public TestSuite
@@ -702,7 +704,7 @@
 }
 
 /**
- * \ingroup matrixArray-tests
+ * @ingroup matrixArray-tests
  * MatrixArrayTestSuite instance variable.
  */
 static MatrixArrayTestSuite g_matrixArrayTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/names-test-suite.cc ns-3.44/src/core/test/names-test-suite.cc
--- ns-3.43/src/core/test/names-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/names-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -6,16 +6,16 @@
 #include "ns3/test.h"
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup config
- * \ingroup names-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup config
+ * @ingroup names-tests
  * Object Names test suite.
  */
 
 /**
- * \ingroup core-tests
- * \defgroup names-tests Object Names test suite
+ * @ingroup core-tests
+ * @defgroup names-tests Object Names test suite
  */
 
 namespace ns3
@@ -25,7 +25,7 @@
 {
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Simple test object to exercise the Name service.
  */
 class TestObject : public Object
@@ -33,7 +33,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -52,7 +52,7 @@
 };
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Alternate test object for the Name service.
  */
 class AlternateTestObject : public Object
@@ -60,7 +60,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -79,7 +79,7 @@
 };
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can do its most basic job.
  *
  * Add associations between Objects using the lowest level add
@@ -155,7 +155,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can correctly use a string context.
  *
  *     Add (std::string context, std::string name, Ptr<Object> object);
@@ -229,7 +229,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can correctly use a
  * fully qualified path to add associations.
  *
@@ -302,7 +302,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can correctly use a
  * relative path to add associations.
  *
@@ -379,7 +379,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can rename objects.
  *
  *     Rename (Ptr<Object> context, std::string oldname, std::string newname);
@@ -446,7 +446,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can rename objects
  * using a string context.
  *
@@ -512,7 +512,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can rename objects
  * using a fully qualified path name.
  *
@@ -578,7 +578,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can rename objects
  * using a relative path name.
  *
@@ -644,7 +644,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can look up an object
  * and return its fully qualified path name.
  *
@@ -706,7 +706,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can find Objects.
  *
  *     Find (Ptr<Object> context, std::string name);
@@ -779,7 +779,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can find Objects using
  * a string context.
  *
@@ -853,7 +853,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can find Objects using
  * a fully qualified path name.
  *
@@ -927,7 +927,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can find Objects using
  * a relative path name.
  *
@@ -1001,7 +1001,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Test the Object Name Service can find Objects using
  * a second type.
  */
@@ -1067,7 +1067,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  * Names Test Suite
  */
 class NamesTestSuite : public TestSuite
@@ -1097,7 +1097,7 @@
 }
 
 /**
- * \ingroup names-tests
+ * @ingroup names-tests
  *  NamesTestSuite instance variable.
  */
 static NamesTestSuite g_namesTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/object-test-suite.cc ns-3.44/src/core/test/object-test-suite.cc
--- ns-3.43/src/core/test/object-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/object-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -12,23 +12,23 @@
 #include "ns3/test.h"
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup object
- * \ingroup object-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup object
+ * @ingroup object-tests
  * Object test suite.
  */
 
 /**
- * \ingroup core-tests
- * \defgroup object-tests Object test suite
+ * @ingroup core-tests
+ * @defgroup object-tests Object test suite
  */
 
 namespace
 {
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Base class A.
  */
 class BaseA : public ns3::Object
@@ -36,7 +36,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static ns3::TypeId GetTypeId()
     {
@@ -55,7 +55,7 @@
 };
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Derived class A.
  */
 class DerivedA : public BaseA
@@ -63,7 +63,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static ns3::TypeId GetTypeId()
     {
@@ -88,7 +88,7 @@
 };
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Base class B.
  */
 class BaseB : public ns3::Object
@@ -96,7 +96,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static ns3::TypeId GetTypeId()
     {
@@ -115,7 +115,7 @@
 };
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Derived class B.
  */
 class DerivedB : public BaseB
@@ -123,7 +123,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static ns3::TypeId GetTypeId()
     {
@@ -161,7 +161,7 @@
 {
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Test we can make Objects using CreateObject.
  */
 class CreateObjectTestCase : public TestCase
@@ -242,7 +242,7 @@
 }
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Test we can aggregate Objects.
  */
 class AggregateObjectTestCase : public TestCase
@@ -454,7 +454,7 @@
 }
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Test we can aggregate Objects.
  */
 class UnidirectionalAggregateObjectTestCase : public TestCase
@@ -522,7 +522,7 @@
 }
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * Test an Object factory can create Objects
  */
 class ObjectFactoryTestCase : public TestCase
@@ -607,7 +607,7 @@
 }
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * The Test Suite that glues the Test Cases together.
  */
 class ObjectTestSuite : public TestSuite
@@ -627,7 +627,7 @@
 }
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * ObjectTestSuite instance variable.
  */
 static ObjectTestSuite g_objectTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc ns-3.44/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc
--- ns-3.43/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -14,10 +14,10 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup randomvariable
- * \ingroup rng-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup randomvariable
+ * @ingroup rng-tests
  * Test for one uniform random variable stream.
  */
 
@@ -28,7 +28,7 @@
 {
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test case for one uniform distribution random variable stream generator
  */
 class OneUniformRandomVariableManyGetValueCallsTestCase : public TestCase
@@ -76,7 +76,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * Test suite for one uniform distribution random variable stream generator
  */
 class OneUniformRandomVariableManyGetValueCallsTestSuite : public TestSuite
@@ -93,7 +93,7 @@
 }
 
 /**
- * \ingroup rng-tests
+ * @ingroup rng-tests
  * OneUniformRandomVariableManyGetValueCallsTestSuite instance variable.
  */
 static OneUniformRandomVariableManyGetValueCallsTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/pair-value-test-suite.cc ns-3.44/src/core/test/pair-value-test-suite.cc
--- ns-3.43/src/core/test/pair-value-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/pair-value-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -6,15 +6,15 @@
  * Author: Jared Dulmage <jared.dulmage@caliola.com>
  */
 
-#include <ns3/double.h>
-#include <ns3/integer.h>
-#include <ns3/log.h>
-#include <ns3/object.h>
-#include <ns3/pair.h>
-#include <ns3/ptr.h>
-#include <ns3/string.h>
-#include <ns3/test.h>
-#include <ns3/type-id.h>
+#include "ns3/double.h"
+#include "ns3/integer.h"
+#include "ns3/log.h"
+#include "ns3/object.h"
+#include "ns3/pair.h"
+#include "ns3/ptr.h"
+#include "ns3/string.h"
+#include "ns3/test.h"
+#include "ns3/type-id.h"
 
 #include <algorithm>
 #include <iterator>
@@ -26,18 +26,18 @@
 NS_LOG_COMPONENT_DEFINE("PairTestSuite");
 
 /**
- * \file
- * \ingroup pair-tests
+ * @file
+ * @ingroup pair-tests
  * Pairs tests.
  */
 
 /**
- * \ingroup core-tests
- * \defgroup pair-tests Pairs tests
+ * @ingroup core-tests
+ * @defgroup pair-tests Pairs tests
  */
 
 /**
- * \ingroup pair-tests
+ * @ingroup pair-tests
  *
  * Object holding pairs of values.
  */
@@ -48,8 +48,8 @@
     ~PairObject() override;
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -93,11 +93,11 @@
 }
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] obj The PairObject.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] obj The PairObject.
+ * @returns The reference to the output stream.
  */
 std::ostream&
 operator<<(std::ostream& os, const PairObject& obj)
@@ -108,7 +108,7 @@
 }
 
 /**
- * \ingroup pair-tests
+ * @ingroup pair-tests
  *
  * Pair test - Test instantiation, initialization, access.
  */
@@ -153,7 +153,7 @@
 }
 
 /**
- * \ingroup pair-tests
+ * @ingroup pair-tests
  *
  * Pair test - test setting through attribute interface.
  */
@@ -189,9 +189,9 @@
 }
 
 /**
- * \ingroup pair-tests
+ * @ingroup pair-tests
  *
- * \brief The pair-value Test Suite.
+ * @brief The pair-value Test Suite.
  */
 class PairValueTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/ptr-test-suite.cc ns-3.44/src/core/test/ptr-test-suite.cc
--- ns-3.43/src/core/test/ptr-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/ptr-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -10,16 +10,16 @@
 #include "ns3/test.h"
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup ptr
- * \ingroup ptr-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup ptr
+ * @ingroup ptr-tests
  * Smart pointer test suite.
  */
 
 /**
- * \ingroup core-tests
- * \defgroup ptr-tests Smart pointer test suite
+ * @ingroup core-tests
+ * @defgroup ptr-tests Smart pointer test suite
  */
 
 namespace ns3
@@ -31,7 +31,7 @@
 class PtrTestCase;
 
 /**
- * \ingroup ptr-tests
+ * @ingroup ptr-tests
  * Pointer base test class
  */
 class PtrTestBase
@@ -51,7 +51,7 @@
 };
 
 /**
- * \ingroup ptr-tests
+ * @ingroup ptr-tests
  * No Count class
  */
 class NoCount : public PtrTestBase
@@ -60,7 +60,7 @@
     /**
      * Constructor
      *
-     * \param [in] test The object to track.
+     * @param [in] test The object to track.
      */
     NoCount(PtrTestCase* test);
     /**
@@ -77,7 +77,7 @@
 };
 
 /**
- * \ingroup ptr-tests
+ * @ingroup ptr-tests
  * Test case for pointer
  */
 class PtrTestCase : public TestCase
@@ -92,11 +92,11 @@
     void DoRun() override;
     /**
      * Test that \pname{p} is a valid object, by calling a member function.
-     * \param [in] p The object pointer to test.
-     * \returns The object pointer.
+     * @param [in] p The object pointer to test.
+     * @returns The object pointer.
      */
     Ptr<NoCount> CallTest(Ptr<NoCount> p);
-    /** \copydoc CallTest(Ptr<NoCount>) */
+    /** @copydoc CallTest(Ptr<NoCount>) */
     const Ptr<NoCount> CallTestConst(const Ptr<NoCount> p);
     uint32_t m_nDestroyed; //!< Counter of number of objects destroyed.
 };
@@ -327,7 +327,7 @@
 }
 
 /**
- * \ingroup ptr-tests
+ * @ingroup ptr-tests
  * Test suite for pointer
  */
 class PtrTestSuite : public TestSuite
@@ -342,7 +342,7 @@
 };
 
 /**
- * \ingroup ptr-tests
+ * @ingroup ptr-tests
  * PtrTestSuite instance variable.
  */
 static PtrTestSuite g_ptrTestSuite;
